# RPM spec file for SUSE OpenSUSE created by configure script.
Summary: Advanced user search dialog	
Name: rodent-fgr
Version: 5.3.12
Release: 1
License: GPL-3.0
URL: http://xffm.org/rodent-fgr.html
Source0: %{name}-%{version}.tar.gz
Group: System/GUI/Other 
BuildRoot: %{_tmppath}/%{name}-root
Requires: librfm5 >= 5.2.10
Requires: librfm5 >= 5.2.10
Requires: fgr >= 4.7.6
Conflicts: rodent
BuildRequires: librfm5-devel >= 5.2.10
BuildRequires: fdupes
BuildRequires: update-desktop-files

%changelog
* Fri Nov 22 2013  <edscott@users.sf.net> 5.3.12-1
- RPM release


%description
 Search tool for Rodent (aka, graphic front end to command line fgr). 
 Fgr is a succesor of command line glob which works in combination with grep 
 (either GNU or BSD version) by means of thread controlled pipes (libtubo). 
 Rodent-fgr is meant to be a desktop graphic interface to fgr to compliment
 fast, small and powerful file management. Rodent-fgr is specially thought 
 out for the maintainance of large sets of source code and is highly customizable,
 either from the rodent-fm settings dialog ---if installed--- or else by setting 
 the corresponding environment variables.  Content search is left to the excellent
 code developed by GNU grep <http://git.sv.gnu.org/cgit/grep.git/tree/AUTHORS>,
 without duplicating any code. Updates to GNU grep are used automatically. 
 * GNU's not Unix, but Unix is a beast; its plural form is Unixen.


%prep
%setup -q

%build
%configure
make -j4
strip -s Build/rodent-fgr

%clean
rm -rf $RPM_BUILD_ROOT
%if 0%{?suse_version} >= 1140
%post
%desktop_database_post
%endif

%if 0%{?suse_version} >= 1140
%postun
%desktop_database_postun
%endif


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%if 0%{?suse_version} >= 1140
# create hardlinks for binaries
%fdupes %buildroot/%_bindir
%fdupes %buildroot/%_datadir
%fdupes %buildroot/%_mandir
%endif



%find_lang %{name}

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README 
%{_mandir}/man1/rodent-fgr.1.gz
%{_datadir}/icons/rfm/48x48/apps/rodent-fgr.png
%{_datadir}/icons/hicolor/scalable/apps/rodent-fgr.svg
# symlinks 
%{_datadir}/pixmaps/rodent-fgr.svg

%{_bindir}/rodent-fgr

%{_datadir}/applications/Rodent-fgr.desktop

%{_datadir}/appdata/Rodent-fgr.appdata.xml
